For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create import template

Create import template

Required permissions: IMPORT

post
/tenants/{tenantUid}/imports/templates
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
descriptionstringOptional
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
templateUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
post/tenants/{tenantUid}/imports/templates
POST /v2/tenants/{tenantUid}/imports/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "name": "text",
  "description": "text",
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "templateUid": "text"
}
200

Example response

{
  "templateUid": "text",
  "name": "text",
  "description": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "layouts": [
    {
      "layoutUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "conversions": [
        {
          "conversionUid": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "fromValue": "text",
          "toValue": "text"
        }
      ],
      "fieldName": "text",
      "value": "text"
    }
  ],
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "fields": [
    {
      "name": "text",
      "type": "text",
      "allowedValues": [
        "text"
      ],
      "createUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      },
      "updateUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      }
    }
  ]
}

Last updated

Was this helpful?